<!--
Archivo vista para cuando se actualiza una US
Se extiene de una plantilla base.html
-->

{% extends 'base.html' %}
{% load crispy_forms_tags %}




{% block content %}
    {% if form.errors %}
        <div class="alert alert-danger" role="alert">
            ERROR AL GUARDAR
        </div>
    {% endif %}
    <br>
    <br>
    <div class="container bg-light">

        <div class="py-5 text-center">
            <h1 class="text-dark"> ACTUALIZACION DE US </h1>
        </div>



        <form method="POST">
            {% csrf_token %}{# token de control #}
            {# garantiza que solo los formularios que se hayan originado en dominios de confianza se puedan utilizar para enviar datos por POST. #}

            <table>
                {{ formUs|crispy }}{# renderiza a formulario, formUs es lo que recibimos desde views.py #}
            </table>
            <button type="submit" class="btn btn-primary mb-3">Guardar</button>
            <a class="btn btn-secondary mb-3" href="{% url 'Proyecto:UsProyecto' idProject %}" role="button">Cancelar</a>{# devuelve la vista la lista de US #}

        </form>


    </div>

{% endblock %}